Package wx :: Class Treebook

[frames | no frames]

## Type Treebook

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                  BookCtrlBase --+
                                 |
                                Treebook

Proxy of C++ Treebook class

Method Summary
Treebook | `__init__(self, parent, id, pos, size, style, name)`
bool | `AddSubPage(self, page, text, select, imageId)`
bool | `CollapseNode(self, pos)`
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
bool | `ExpandNode(self, pos, expand)`
int | `GetPageParent(self, pos)`
TreeCtrl | `GetTreeCtrl(self)`
bool | `InsertSubPage(self, pos, page, text, select, imageId)`
bool | `IsNodeExpanded(self, pos)`

Property Summary
| `thisown`: The membership flag
| `TreeCtrl`: See `GetTreeCtrl`

Instance Method Details

### Create(self, parent, id, pos=DefaultPosition, size=DefaultSize, style=BK_DEFAULT, name=EmptyString)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

Property Details

### thisown

The membership flag

### TreeCtrl

See `GetTreeCtrl`

  Get Method:
    `GetTreeCtrl`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:54 2007 | http://epydoc.sf.net